MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
MPQC::GaussianBasis_Atomic_impl Class Reference

Symbol "MPQC.GaussianBasis_Atomic" (version 0.2) More...

`#include <MPQC_GaussianBasis_Atomic_Impl.hh>`

## Public Member Functions
| GaussianBasis_Atomic_impl (struct MPQC_GaussianBasis_Atomic__object *s)
void | _ctor ()
void | _dtor ()
void | initialize (void *scbasis, int32_t atomnum) throw ()
| user defined non-static method.
::std::string | get_name () throw ()
| Get the canonical basis set name. More...
int64_t | get_n_basis () throw ()
| Get the number of basis functions. More...
int64_t | get_n_shell () throw ()
| Get the number of shells. More...
int64_t | get_max_angular_momentum () throw ()
| Get the max angular momentum for any shell on the atom. More...
::Chemistry::QC::GaussianBasis::AngularType | get_angular_type () throw ()
| Get the angular type for the atom. More...
::Chemistry::QC::GaussianBasis::Shell | get_shell (int64_t shellnum) throw ()
| Get a gaussian shell. More...
void | print_atomic () throw ()
| Print the atomic basis data.

## Static Public Member Functions
static void | _load ()

## Detailed Description

Symbol "MPQC.GaussianBasis_Atomic" (version 0.2)

GaussianBasis_Atomic_impl implements a class interface for atomic gaussian basis set data.

This is an implementation of a SIDL interface. The stub code is generated by the Babel tool. Do not make modifications outside of splicer blocks, as these will be lost. This is a server implementation for a Babel class, the Babel client code is provided by the cca-chem-generic package.

## Member Function Documentation

::Chemistry::QC::GaussianBasis::AngularType MPQC::GaussianBasis_Atomic_impl::get_angular_type | ( |  | ) | throw ()

Get the angular type for the atom.

Returns
  enum AngularType {CARTESIAN,SPHERICAL,MIXED}

int64_t MPQC::GaussianBasis_Atomic_impl::get_max_angular_momentum | ( |  | ) | throw ()

Get the max angular momentum for any shell on the atom.

Returns
  Max angular momentum value.

int64_t MPQC::GaussianBasis_Atomic_impl::get_n_basis | ( |  | ) | throw ()

Get the number of basis functions.

Returns
  Number of basis functions.

int64_t MPQC::GaussianBasis_Atomic_impl::get_n_shell | ( |  | ) | throw ()

Get the number of shells.

Returns
  Number of shells.

::std::string MPQC::GaussianBasis_Atomic_impl::get_name | ( |  | ) | throw ()

Get the canonical basis set name.

Returns
  Canonical basis set name.

::Chemistry::QC::GaussianBasis::Shell MPQC::GaussianBasis_Atomic_impl::get_shell | ( | int64_t | shellnum | ) | throw ()

Get a gaussian shell.

Parameters

  shellnum | Shell number to return.

Returns
  Shell.

The documentation for this class was generated from the following file:

- MPQC_GaussianBasis_Atomic_Impl.hh